Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.compress.archivers.zip
Class UnsupportedZipFeatureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.util.zip.ZipException
                      org.apache.commons.compress.archivers.zip.UnsupportedZipFeatureException

All Implemented Interfaces:
  Serializable

    public class UnsupportedZipFeatureException

extends ZipException

Exception thrown when attempting to read or write data for a zip entry that uses ZIP features not supported by this library.

Since:
  Commons Compress 1.1
See Also:
  Serialized Form

Nested Class Summary
`static class` | `UnsupportedZipFeatureException.Feature` ZIP Features that may or may not be supported.

Constructor Summary
`UnsupportedZipFeatureException(UnsupportedZipFeatureException.Feature reason, ZipArchiveEntry entry)` Creates an exception.

Method Summary
`ZipArchiveEntry` | `getEntry()` The entry using the unsupported feature.
`UnsupportedZipFeatureException.Feature` | `getFeature()` The unsupported feature that has been used.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedZipFeatureException

    public UnsupportedZipFeatureException(UnsupportedZipFeatureException.Feature reason,
                                          ZipArchiveEntry entry)

  Creates an exception.

  Parameters:
    `reason` - the feature that is not supported
    `entry` - the entry using the feature

Method Detail

### getFeature

    public UnsupportedZipFeatureException.Feature getFeature()

  The unsupported feature that has been used.

### getEntry

    public ZipArchiveEntry getEntry()

  The entry using the unsupported feature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Apache Software Foundation. All Rights Reserved.